package com.bgy.sms.channel.dto;

import com.alibaba.fastjson.JSONObject;
import com.bgy.sms.config.ResponseCode;

import java.io.Serializable;

public class DmHubSendResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    private String code;

    private JSONObject error;

    public DmHubSendResponse() {

    }

    public DmHubSendResponse(ResponseCode responseCode) {
        this.code = responseCode.getCode();
    }

    public DmHubSendResponse(String errorCode, String errorMsg) {
        error = new JSONObject();
        error.put("errorCode", errorCode);
        error.put("message", errorMsg);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public JSONObject getError() {
        return error;
    }

    public void setError(JSONObject error) {
        this.error = error;
    }

    @Override
    public String toString() {
        return "DmHubSendResponse{" +
                "code='" + code + '\'' +
                "error='" + error.toString() + '\'' +
                '}';
    }
}
